Arduino

Guide

Tutorials

Reference

Hardware

Software

Forum

Playground

Exhibition

Hacking

FAQ

Buy

Language | Libraries | Comparison

## int serialRead()

#### Description

Reads a byte (a character) from the serial port.

#### Parameters

None

#### Returns

The next byte from the serial port, or -1 if there aren't any.

#### See also

- beginSerial
- serialAvailable
- serialWrite
- printByte
- printString
- printInteger
- printHex
- printOctal
- printBinary

Reference Home

Edit Page | Page History | Printable View | Recent Site Changes